[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TCustomActionList.AddAction

Adds the specified action to the action list.

## Declaration

Source position: actnlist.pas line 91

`protected procedure TCustomActionList.AddAction(`
`Action: TContainedAction`
`); virtual;`

## Arguments

`Action` |  | TContainedAction instance added in the method.

## Description

Sets the parent component for the action, and adds the value to the internal list for the component. Raises an Exception if the Action has already been added to the action list.